//---------------------------------------------------------------------------
//
//  Program:     UnitManual.pas in MidiAndMusicXmlPlayer
//
//  Project:     MidiAndMusicXmlPlayer.dpr / MidiAndMusicXmlPlayer.lpi
//
//  Purpose:     Shows a short description of how to use the program,
//
//  Compilation: Compile with Delphi 4 (MidiAndMusicXmlPlayer.dpr) or
//               Lazarus (MidiAndMusicXmlPlayer.lpi)
//               or Delphi XE (MidiAndMusicXmlPlayer.dproj)
//
//  Description: The time playing a note determines the position. (Short
//               notes will be very close)
//---------------------------------------------------------------------------
unit UnitManual;

{$mode delphi}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls;

type

  { TFormManual }

  TFormManual = class(TForm)
    MemoManual: TMemo;
    procedure OnCreate(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  FormManual: TFormManual;

implementation

{$R *.lfm}

{ TFormManual }

procedure TFormManual.OnCreate(Sender: TObject);

  begin
  MemoManual.Clear;
  MemoManual.Lines.Add('Manual for MidiMusicXmlPlayer');
  MemoManual.Lines.Add('1. To select a Midi- or Music XML file:');
  MemoManual.Lines.Add('    Use File->Open and select a file. The files must be in the music-directory or download-directory');
  MemoManual.Lines.Add('    or');
  MemoManual.Lines.Add('    Drag and drop the file into the window');
  MemoManual.Lines.Add('2. The three buttons are used to start and stop playing. The button with a down arrow is used to');
  MemoManual.Lines.Add('    set a mark. When a mark is set a circle appears. Pressing this will make the tune circle. Pressing');
  MemoManual.Lines.Add('    the button again will jump out of the circle and continue');
  MemoManual.Lines.Add('3. The checkmarks select which tracks are played.');
  MemoManual.Lines.Add('4. The dropdown boxes select an instrument for each or the original instrument, that the midi file');
  MemoManual.Lines.Add('    specifies.');
  MemoManual.Lines.Add('5. The panorama buttons to the right define from where the sound comes - from  left to right');
  MemoManual.Lines.Add('6. The tempo may be set in percent of the original tempo. Value 10% to 1000%');
  MemoManual.Lines.Add('7. The tune may be transposed. Positive values are up and negative are down. The step is');
  MemoManual.Lines.Add('    half notes');
////  MemoManual.Lines.Add('8. The menu Decoding will list all the Midi commands from the file according to the Midi Standard');
  MemoManual.Lines.Add('8. If text is included, a menu item "Text" will show the text of the song');
  MemoManual.Lines.Add('');
  MemoManual.Lines.Add('9. Alternative soundfont:');
  MemoManual.Lines.Add('Create a directory called MidiAndMusicXmlPlayer in <user>/Library/Audio/Sounds/Banks');
  MemoManual.Lines.Add('Place your favorite sf2-file there, e.g. the free soundfont FluidR3_GM.sf2');
  MemoManual.Lines.Add('E.g. whole path (My user name is mogenslundholm):');
  MemoManual.Lines.Add('/Users/mogenslundholm/Library/Audio/Sounds/Banks/MidiAndMusicXmlPlayer/FluidR3_GM.sf2');
  MemoManual.Lines.Add('');
  MemoManual.Lines.Add('Report problems to: magnus.lind@programfabriken.com');
  MemoManual.Lines.Add('(Describe step by step how to reproduce the problem');
  MemoManual.Lines.Add(' and please attach the Midi/Music Xml-file)');
  end;

end.

